#!/bin/bash
source src/main/docker/.env
echo "Deploying Gitsearch"


if [[ -z "${CI_COMMIT_REF_NAME}" ]]; then
  echo "CI_COMMIT_REF_NAME is not set defaulting to development"
else
  echo "Deploying via pipeline"
  docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $REGISTRY_URL
  export GITBRANCH=${CI_COMMIT_REF_NAME}
fi


if [[ -z "${GITBRANCH}" ]]; then
  echo "GITBRANCH is not set defaulting to development"
  export GITBRANCH=development
else
  echo "GITBRANCH is set to '$GITBRANCH'"
fi
export COMMIT_ID="$(git rev-parse HEAD)"
export MAVEN_USER_HOME=`pwd`/.maven && ./mvnw package -DskipTests -Pprod jib:build -Djib.to.image=sharing-codeability.uibk.ac.at:5051/sharing/codeability-sharing-platform/gitsearch/pipeline -Djib.to.auth.username=gitlab-ci-token  -Djib.to.auth.password=$CI_BUILD_TOKEN -Dmaven.repo.local=$MAVEN_USER_HOME
cd $GITSEARCH_PATH/src/main/docker/
docker pull sharing-codeability.uibk.ac.at:5051/sharing/codeability-sharing-platform/gitsearch/pipeline
docker-compose -f gitsearch.yml up  -d --build --force-recreate gitsearch-app

